Subject: Re: bug#65030: 30.0.50; Check keyword args of make-process

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Aug 2023 20:43:23 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Tue, 8 Aug 2023 18:38:03 +0200
> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>         [email-masked], [email-masked]
> 
> Pushed to master: the warning patch (thank you!) and a modest :name error improvement. This should make things a lot better than they used to be.
> 
> Are we done for now?

I wish: the build is now broken:

  Finding pointers to doc strings...
  Finding pointers to doc strings...done
  Dumping under the name bootstrap-emacs.pdmp
  Dumping fingerprint: 7776ea71b2c2039613aeb93d6ca789f55809907a652a1c1d86e6cbdb881
  5025a
  Dump complete
  Byte counts: header=100 hot=16245400 discardable=136576 cold=11545712
  Reloc counts: hot=1160567 discardable=5641
  ANCIENT=yes make -C ../lisp compile-first EMACS="../src/bootstrap-emacs.exe"
  make[3]: Entering directory `/d/gnu/git/emacs/trunk/lisp'
    ELC      emacs-lisp/macroexp.elc
    ELC      emacs-lisp/cconv.elc
    ELC      emacs-lisp/byte-opt.elc
    ELC      emacs-lisp/bytecomp.elc
    ELC      emacs-lisp/loaddefs-gen.elc
    ELC      emacs-lisp/radix-tree.elc

  In toplevel form:
  emacs-lisp/loaddefs-gen.el:42:2: Error: Eager macro-expansion failure: (void-variable name)
  Makefile:333: recipe for target `emacs-lisp/loaddefs-gen.elc' failed
  make[3]: *** [emacs-lisp/loaddefs-gen.elc] Error 1
  make[3]: *** Waiting for unfinished jobs....
  make[3]: Leaving directory `/d/gnu/git/emacs/trunk/lisp'
  Makefile:1011: recipe for target `bootstrap-emacs.pdmp' failed
  make[2]: *** [bootstrap-emacs.pdmp] Error 2
  make[2]: Leaving directory `/d/gnu/git/emacs/trunk/src'
  Makefile:554: recipe for target `src' failed
  make[1]: *** [src] Error 2

And this is _after_ deleting emacs, bootstrap-emacs, and temacs, and
deleting all the *.elc files.  So no stale *.elc files are involved, I
think.

(And no, I don't want to bootstrap, and I don't think it will fix the
problem, given the above.)

Line 42 of loaddefs-gen.el is where it require's lisp-mnt, FWIW.